Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.processor.type.comm
Class AbstractProcessor<NodeType extends TParseTreeNode>

    java.lang.Object
      gudusoft.gsqlparser.pp.processor.type.comm.AbstractProcessor<NodeType>

Direct Known Subclasses:
  AbstractKeyWordAlignProcessor, AlignAliasProcessor, AlterTableOptionItemAlignProcessor, AppendLineAfterInsertTableNameProcessor, AppendNewLineAfterAndBeforeReverseKeyWordProcessor, AppendNewLineAfterReverseKeyWordProcessor, AppendNewLineBeforeKeyWordProcessor, AppendNewLineBeforeReverseKeyWordProcessor, CapitalisationProcessor, CaseWhenProcessor, ColumnlistCommaProcessor, CombineWhitespaceAndClearReturnProcessor, CreateFuncFirstParamInNewlineProcessor, CreateFuncLeftBEProcessor, CreateFuncReturnsTableProcessor, CreateFuncRightBEProcessor, CreateFuncWSPaddingParenthesesProcessor, CreateTableBEInNewLineProcessor, CreateTableConstraintAlignProcessor, CreateTableItemAlignProcessor, CreateViewReturnProcessor, CTEProcessor, DeclareVarItemAlignProcessor, DistinctKeyWordProcessor, ExecParaNewLineProcessor, ExpressionProcessor, IfStmtBEProcessor, InsertOutputClauseProcessor, InsertValuesParenthsesAdjustProcessor, JoinOnProcessor, ReturnStmtProcessor, UnionProcessor

    public class AbstractProcessor<NodeType extends TParseTreeNode>

extends java.lang.Object

the base processor

Author:
  zhoujun

Constructor Summary
`AbstractProcessor()`

Method Summary
`void` | `afterProcess(NodeType node)` method template.
`void` | `beforeProcess(NodeType node)` method template.
`GFmtOpt` | `getOption()` get all the format option
`void` | `init(GFmtOpt option, java.lang.Object... parameters)` the init method
`void` | `process(NodeType node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProcessor

    public AbstractProcessor()

Method Detail

### init

    public void init(GFmtOpt option,
                     java.lang.Object... parameters)

  the init method

  Parameters:
    `parameter` -

### beforeProcess

    public void beforeProcess(NodeType node)

  method template. if you need to add some before actions, override this method.

  Parameters:
    `node` -

### afterProcess

    public void afterProcess(NodeType node)

  method template. if you need to add some before actions, override this method.

  Parameters:
    `node` -

### process

    public void process(NodeType node)

### getOption

    public GFmtOpt getOption()

  get all the format option

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD